System.Web 2.0.0.0 System.Enum System.Flags

Data source controls use the enumeration in conjunction with the class to request paging, sorting, or other select-specific capabilities when performing a data retrieval operation. The requested capabilities are checked against the actual capabilities of the data source control during the data retrieval operation, and if they do not match an exception is raised.

This enumeration supports the attribute, which enables you to use more than one member at a time.

Provides a way to request processing beyond record retrieval for a data retrieval operation of a data source control.

- Field
  System.Web.UI.DataSourceCapabilities

  Represents no paging, sorting, or total row count retrieval capabilities.

  2.0.0.0
- Field
  System.Web.UI.DataSourceCapabilities

  Represents the capability to page through the rows returned by an operation.

  2.0.0.0
- Field
  System.Web.UI.DataSourceCapabilities

  Represents the capability to retrieve a total row count of data, which corresponds to using the value.

  2.0.0.0
- Field
  System.Web.UI.DataSourceCapabilities

  Represents the capability to sort through the rows returned by an operation.

  2.0.0.0